## ros-dashing-mapviz-plugins 2.1.0

=== debian/changelog ===
ros-dashing-mapviz-plugins (2.1.0-1bionic) bionic; urgency=high

  * Constrain the minimum line and point marker sizes to be 1 pixel wide. (#704 <https://github.com/swri-robotics/mapviz/issues/704>)
  * ROS Foxy support (#695 <https://github.com/swri-robotics/mapviz/issues/695>)
  * Update the displayed distance continuously while moving a point.
  * Use higher precision in the coordinate picker for wgs84 (#692 <https://github.com/swri-robotics/mapviz/issues/692>)
  * Clear the namespace list after hitting the clear button. (#691 <https://github.com/swri-robotics/mapviz/issues/691>)
  * Contributors: Matt Grogan, Matthew, P. J. Reed, Marc Alban

 -- P. J. Reed <preed@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-dashing-mapviz-plugins (2.0.0-1bionic) bionic; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Contributors: Daniel D'Souza, Matthew Bries, Matthew Grogan, P. J. Reed, Jason Gassaway, John Reyes, Jacob Hassold, Kevin Nickels, Roger Strain

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-dashing-mapviz-plugins (1.2.0-1bionic) bionic; urgency=high

  * Add text to measuring plugin (#640 <https://github.com/swri-robotics/mapviz/issues/640>)
  * Add mapviz plug-in for PoseStamped messages. (#641 <https://github.com/swri-robotics/mapviz/issues/641>)
  * Fix occupancy grid to load color scheme from configuration. (#642 <https://github.com/swri-robotics/mapviz/issues/642>)
  * Restore GL_UNPACK_ALIGNMENT to 4 to prevent corruption of Qt font rendering. (#643 <https://github.com/swri-robotics/mapviz/issues/643>)
  * Add ability to show and hide markers by namespace (#636 <https://github.com/swri-robotics/mapviz/issues/636>)
  * Fixed layout of MeasuringPlugin (#633 <https://github.com/swri-robotics/mapviz/issues/633>)
  * Fixed marker plugin to use swri_transform_util to ensure wgs84 markers work properly (#635 <https://github.com/swri-robotics/mapviz/issues/635>)
  * Contributors: Arkady Shapkin, Marc Alban, Matthew, Matthew Grogan, agyoungs

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-dashing-mapviz-plugins (1.1.1-1bionic) bionic; urgency=high

  * Textured Marker Adjustments (#611 <https://github.com/swri-robotics/mapviz/issues/611>, #616 <https://github.com/swri-robotics/mapviz/issues/616>) (#625 <https://github.com/swri-robotics/mapviz/issues/625>)
  * fixed issue #623 <https://github.com/swri-robotics/mapviz/issues/623> by updating UI field to read "Draw Style:" (#624 <https://github.com/swri-robotics/mapviz/issues/624>)
  * Contributors: mattrich37

 -- P. J. Reed <preed@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-dashing-mapviz-plugins (1.1.0-1bionic) bionic; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key
  * [mapviz_plugins/attitude_indicator] Minor refactoring and redundant logging removed (#617 <https://github.com/swri-robotics/mapviz/issues/617>)
  * 606 sequential measuring (#607 <https://github.com/swri-robotics/mapviz/issues/607>)
    * Moved distance calculation to trigger on release of mouse. Added case to prevent distance calculation while moving map.
    * Added vertices and lines between measurement points. Left click to add point. Right click to delete. Added color selection for points and clear button to ui.
    * Added cumulative distance measurements from multiple points
    * Fixed individual and cumulative distance measurements. Changed it to only measure distance between points and not from fixed origin and first point
    * Moved distance calculation into separate function which is called when deleting a point, adding a point, or rearranging points.
  * Add image size check to textured marker plugin to prevent crashes. (#613 <https://github.com/swri-robotics/mapviz/issues/613>)
    * Add image size check to textured marker plugin to prevent crashes.
  * Fixed typo in string (#608 <https://github.com/swri-robotics/mapviz/issues/608>)
  * 605 add reset button marker (#609 <https://github.com/swri-robotics/mapviz/issues/609>)
    * Added Clear all marker buttons, added case for clear all support to markers
  * Contributors: Arkady Shapkin, Matthew, jbdaniel18

 -- P. J. Reed <preed@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-dashing-mapviz-plugins (1.0.1-1bionic) bionic; urgency=high

  * Use shared tf manager in measuring_plugin (#604 <https://github.com/swri-robotics/mapviz/issues/604>)
  * Contributors: jgassaway

 -- P. J. Reed <preed@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-dashing-mapviz-plugins (1.0.0-1bionic) bionic; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Fix potential segfault in pointcloud plug-in. (#602 <https://github.com/swri-robotics/mapviz/issues/602>)
  * Add Measuring Plugin (#598 <https://github.com/swri-robotics/mapviz/issues/598>)
  * Contributors: Davide Faconti, Marc Alban, Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-dashing-mapviz-plugins (0.3.0-1bionic) bionic; urgency=high

  * Merge all -devel branches into a single master branch
  * Don't transform laser scans twice (#544 <https://github.com/swri-robotics/mapviz/issues/544>)
  * Improving point_drawing plugins and bug fix of tf_plugin (#557 <https://github.com/swri-robotics/mapviz/issues/557>)
  * OpenGL rendering of PointClouds  (2X speedup) (#558 <https://github.com/swri-robotics/mapviz/issues/558>)
  * Occupancy grid (new plugin) (#568 <https://github.com/swri-robotics/mapviz/issues/568>)
  * Bug fix in image plugin (#563 <https://github.com/swri-robotics/mapviz/issues/563>)
  * Fix Indigo build, clean up warnings (#597 <https://github.com/swri-robotics/mapviz/issues/597>)

