=== debian/control ===
Source: ros-dashing-mapviz-plugins
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5opengl5-dev, qt5-qmake, ros-dashing-ament-cmake, ros-dashing-ament-index-cpp, ros-dashing-cv-bridge, ros-dashing-gps-msgs, ros-dashing-image-transport, ros-dashing-map-msgs, ros-dashing-mapviz, ros-dashing-marti-common-msgs, ros-dashing-marti-nav-msgs, ros-dashing-marti-sensor-msgs, ros-dashing-marti-visualization-msgs, ros-dashing-nav-msgs, ros-dashing-pluginlib, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-stereo-msgs, ros-dashing-swri-image-util, ros-dashing-swri-math-util, ros-dashing-swri-route-util, ros-dashing-swri-transform-util, ros-dashing-tf2, ros-dashing-visualization-msgs, ros-dashing-ros-workspace
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-dashing-mapviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5opengl5, ros-dashing-ament-index-cpp, ros-dashing-cv-bridge, ros-dashing-gps-msgs, ros-dashing-image-transport, ros-dashing-map-msgs, ros-dashing-mapviz, ros-dashing-marti-common-msgs, ros-dashing-marti-nav-msgs, ros-dashing-marti-sensor-msgs, ros-dashing-marti-visualization-msgs, ros-dashing-nav-msgs, ros-dashing-pluginlib, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-sensor-msgs, ros-dashing-std-msgs, ros-dashing-stereo-msgs, ros-dashing-swri-image-util, ros-dashing-swri-math-util, ros-dashing-swri-route-util, ros-dashing-swri-transform-util, ros-dashing-tf2, ros-dashing-visualization-msgs, ros-dashing-ros-workspace
Description: Common plugins for the Mapviz visualization tool
